<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAlbumPartsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('album_parts', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name',255)->comment('配件名称');
            $table->integer('count')->comment('配件数量');

            $table->integer('order_id')->comment('订单号');
            $table->integer('store_id')->comment('店铺号');

            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('album_parts');
    }
}
